<?php

namespace App\Controllers\Admin\Equipment;

use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;

use Psr\Log\LoggerInterface;

use App\Helpers\Equipment\SoftwareHelper;
use App\Services\Equipment\SoftwareService;

class SoftwareController extends EquipmentController
{
    public function initController(RequestInterface $request, ResponseInterface $response, LoggerInterface $logger)
    {
        parent::initController($request, $response, $logger);
        $this->title = lang("{$this->getService()->getClassName()}.title");
        $this->class_path .= $this->getService()->getClassName();
        $this->uri_path .= strtolower($this->getService()->getClassName('/')) . '/';
        // $this->view_path .= strtolower($this->getService()->getClassName()) . DIRECTORY_SEPARATOR;

    }
    public function getService(): SoftwareService
    {
        if (!$this->_service) {
            $this->_service = new SoftwareService($this->request);
        }
        return $this->_service;
    }
    public function getHelper(): SoftwareHelper
    {
        if (!$this->_helper) {
            $this->_helper = new SoftwareHelper($this->request);
        }
        return $this->_helper;
    }
    //Index,FieldForm관련
    protected function index_process(): array
    {
        $fields = [
            'fields' => ['type', 'model', 'status', 'description'],
        ];
        $this->init('index',  $fields);
        return parent::index_process();
    }
}
